PHP K�sikirja
Edellinen |  | Seuraava

# ftp_pasv

(PHP 3>= 3.0.13, PHP 4 , PHP 5)

ftp_pasv -- Turns passive mode on or off

## Description

bool ftp_pasv ( resource ftp_stream, bool pasv )

ftp_pasv() turns on or off passive mode. In passive mode, data connections are initiated by the client, rather than by the server.

## Parameters

ftp_stream

  The link identifier of the FTP connection.

pasv

  If `TRUE`, the passive mode is turned on, else it's turned off.

## Return values

Palauttaa `TRUE` onnistuessaan, muutoin `FALSE`.

## Examples

Esimerkki 1. ftp_pasv() example

`<?php
$file = 'somefile.txt';
$remote_file = 'readme.txt';
// set up basic connection
$conn_id = ftp_connect($ftp_server);
// login with username and password
$login_result = ftp_login($conn_id, $ftp_user_name, $ftp_user_pass);
// turn passive mode on
ftp_pasv($conn_id, true);
// upload a file
if (ftp_put($conn_id, $remote_file, $file, FTP_ASCII)) {
echo "successfully uploaded $file\n";
} else {
echo "There was a problem while uploading $file\n";
}
// close the connection
ftp_close($conn_id);
?>`

Edellinen | Alkuun | Seuraava
ftp_nlist | Ylös | ftp_put